<!-- <form class="form" id="fileform" method="post" action="" enctype="multipart/form-data">
<label><b>Upload File</b></label><br>
<input type="file" name="file" id="file" accept=".csv" data-validate="{required:true}">
<p class="help-block">Only csv allowed</p>
<input type="button" name="submitbtn" id="submitbtn" data-mage-init='{"pincodefile":{}}' class="btn btn-default" value="Upload"/><span id="msg"></span>
</form> -->

<!-- "http://magento-first.com/admin/admin/pincodechecka/index/fileSave" -->
<div id="pagebody">
    <h4>Upload CSV File</h4>
    <form class="form" id="fileform" method="POST" action="<?php echo $block->getUrl('pincodechecka/index/fileSave') ?>" enctype="multipart/form-data">
        <input name="form_key" type="hidden" value="<?php echo $block->getFormKey() ?>"/>
        <input type="file" name="file" id="file" accept=".csv" required/>
        <p class="help-block">Only csv allowed</p><br>
        <a href="http://magento-first.com/sample/sample.csv" style="margin-bottom:10px">Download sample csv file</a><br>
        <button type="submit" name="submitbtn" id="submitbtn" class="btn btn-primary">Upload</button>
    </form>
</div>

<!-- data-mage-init='{"pincodefile":{}}' -->


